XINE(1)

NAME
xine-config - script to get information about the installed version of libxine

SYNOPSIS
xine-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags] [--objcflags] [--plugindir] [--datadir] [--scriptdir] [--localedir]

DESCRIPTION

xine-config is DEPRECATED. Use pkg-config instead.

xine-config is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use libxine. It can also be used to determine the directories where libxine expects plugins.

OPTIONS
xine-config accepts the following options, passing them on (possibly modified) to pkg-config libxine:

--version
    --modversion
    Print the currently installed version of libxine on the standard output.

--libs
--cflags
--objcflags
    Passed on unmodified.
    Print the compiler flags (for C and Objective C, respectively) that are necessary to compile a program that uses libxine.

--bindir
--plugindir
--datadir
--scriptdir
--localedir
    --variable=...
    Print the directory where, respectively, libxine binaries, plugins, data files, scripts and locale data are stored/expected.

--prefix=PREFIX
    --define-variable=prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that xine-lib was built with. This option is also used for the exec prefix if --exec-prefix was not specified.

--exec-prefix=PREFIX
    --define-variable=exec_prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that xine-lib was built with.

SEE ALSO
xine-lib(3), xine(1)

COPYRIGHT
Copyright © 2001 Siggi Langauf, © 2001-2008 the xine project. Based on the man page for gtk-config, © 1998 Owen Taylor. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.